name: Run Check Script
on:
  push:
  pull_request:

jobs:
  check:
    runs-on: rust-cargo
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      
      - name: Run check script
        run: bash check.sh
